<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;

Sidebar::make('event.show')
    ->title('Manage Your Event')
    ->addLinks(function (Event $event) {
        return [
            Link::make('Speakers')
                ->icon('microphone')
                ->route('admin.event.speaker.index', [
                    'event' => $event->id,
                ]),
            Link::make('Delegates')
                ->icon('user-plus')
                ->route('admin.event.delegate.index', [
                    'event' => $event->id,
                ])
                ->permission('event.show'),
            Link::make('Agenda')
                ->icon('clock')
                ->route('admin.agenda.index', [
                    'event' => $event->id,
                ]),
        ];
    });
