<?php

use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;

Sidebar::make('primary')
    ->title('MEPS')
    ->addLinks(function () {
        return [
            Link::make('Dashboard')
                ->icon('layout')
                ->route('admin.dashboard.index'),
            Link::make('Events')
                ->icon('calendar')
                ->addChildren([
                    Link::make('View events')
                        ->route('admin.event.index')
                        ->permission('event.show'),
                    Link::make('Create an event')
                        ->route('admin.event.create')
                        ->permission('event.store'),
                    Link::make('Archived events')
                        ->route('admin.event.archived.index')
                        ->permission('event.show'),
                ]),
            Link::make('Delegates')
                ->icon('user-plus')
                ->addChildren([
                    Link::make('View delegates')
                        ->route('admin.delegate.index')
                        ->permission('delegate.show'),
                    Link::make('Create a delegate')
                        ->route('admin.delegate.create')
                        ->permission('delegate.store'),
                ]),
            Link::make('Users')
                ->icon('users')
                ->addChildren([
                    Link::make('View users')
                        ->route('admin.user.index')
                        ->permission('user.show'),
                    Link::make('Create a user')
                        ->route('admin.user.create')
                        ->permission('user.store'),
                ]),
            Link::make('Speakers')
                ->icon('speakers')
                ->addChildren([
                    Link::make('View speakers')
                        ->route('admin.speaker.index')
                        ->permission('speaker.show'),
                    Link::make('Create a speaker')
                        ->route('admin.speaker.create')
                        ->permission('speaker.store'),
                ]),
            Link::make('Settings')
                ->icon('settings')
                ->addChildren([
                    Link::make('Permissions')
                        ->route('admin.permission.index')
                        ->permission('user.update'),
                    Link::make('Teams')
                        ->route('admin.team.index')
                        ->permission('team.show'),
                ]),
        ];
    });
