<?php

namespace App\Jobs;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Domain\Util\IOEngage\Exceptions\MeetingUpdateFailed;
use EventPortal\Domain\Util\IOEngage\IOEngage;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class ProcessAttendance implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * @var Event
     */
    protected $event;

    /**
     * @var Delegate
     */
    protected $delegate;

    public function __construct(Event $event, Delegate $delegate)
    {
        $this->event = $event;
        $this->delegate = $delegate;
    }

    public function handle(IOEngage $client): void
    {
        $client->updateDelegateEvent($this->event, $this->delegate);
        // $client->makeRequest(
        //     config('ioengage.endpoints.meeting'),
        //     MeetingUpdateFailed::class,
        //     'post',
        //     $this->transformModels(),
        // );
    }
}
